package com.sf.service.gateway.mapper;

import com.sf.service.gateway.domain.GatewayInterfaceLinkStrategy;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @Entity com.sf.service.gateway.domain.GatewayInterfaceLinkStrategy
 */
public interface GatewayInterfaceLinkStrategyMapper {

    int deleteByPrimaryKey(Long id);

    int insert(GatewayInterfaceLinkStrategy record);

    int insertSelective(GatewayInterfaceLinkStrategy record);

    GatewayInterfaceLinkStrategy selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(GatewayInterfaceLinkStrategy record);

    int updateByPrimaryKey(GatewayInterfaceLinkStrategy record);

    void batchInsertGatewayInterfaceLinkStrategy(@Param("linkList") List<GatewayInterfaceLinkStrategy> linkList);

    void deleteByInterfaceIds(@Param("interfaceIds") Collection<Long> interfaceIds);

    List<GatewayInterfaceLinkStrategy> selectGatewayInterfaceLinkStrategyByInterfaceIds(@Param("interfaceIds") Collection<Long> interfaceIds);

    List<GatewayInterfaceLinkStrategy> selectGatewayInterfaceLinkStrategyByStrategyIds(@Param("strategyIds") Collection<Long> strategyIds);
}




